## tesseract 5.3.4

=== CMakeLists.txt ===
#
# tesseract
#

# ##############################################################################
#
# cmake settings
#
# ##############################################################################

cmake_minimum_required(VERSION 3.10 FATAL_ERROR)

# In-source builds are disabled.
if("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  message(
    FATAL_ERROR
      "CMake generation is not possible within the source directory!"
      "\n Remove the CMakeCache.txt file and try again from another folder, "
      "e.g.:\n "
      "\n rm CMakeCache.txt"
      "\n mkdir build"
      "\n cd build"
      "\n cmake ..")
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets")

if(NOT ${CMAKE_VERSION} VERSION_LESS "3.15.0")
  if(WIN32)
    cmake_policy(SET CMP0091 NEW)
    message(STATUS "Setting policy CMP0091 to NEW")
  endif()
endif()

# ##############################################################################
#
# project settings
#
# ##############################################################################

project(tesseract C CXX)

# Get version with components from VERSION file.
file(STRINGS "VERSION" VERSION_PLAIN)
string(REGEX REPLACE "^([^.]*)\\..*" "\\1" VERSION_MAJOR ${VERSION_PLAIN})
string(REGEX REPLACE "^[^.]*\\.([^.]*)\\..*" "\\1" VERSION_MINOR
                     ${VERSION_PLAIN})
string(REGEX REPLACE "^[^.]*\\.[^.]*\\.([0-9]*).*" "\\1" VERSION_PATCH
                     ${VERSION_PLAIN})
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
  execute_process(COMMAND git --git-dir ${CMAKE_CURRENT_SOURCE_DIR}/.git
                          describe --abbrev=4 OUTPUT_VARIABLE GIT_REV)
  string(REGEX REPLACE "\n$" "" PACKAGE_VERSION "${GIT_REV}")
endif()
if(NOT PACKAGE_VERSION)
  set(PACKAGE_VERSION ${VERSION_PLAIN})
endif()

# Provide also same macro names as autoconf (see configure.ac).
set(GENERIC_MAJOR_VERSION ${VERSION_MAJOR})
set(GENERIC_MINOR_VERSION ${VERSION_MINOR})
set(GENERIC_MICRO_VERSION ${VERSION_PATCH})

set(MINIMUM_LEPTONICA_VERSION 1.74)

# ##############################################################################
#
# options
#
# ##############################################################################

message(STATUS "Configuring tesseract version ${PACKAGE_VERSION}...")

if(WIN32)
  option(SW_BUILD "Build with sw" ON)
else()
  option(SW_BUILD "Build with sw" OFF)
endif()
option(OPENMP_BUILD "Build with openmp support" OFF) # see issue #1662
option(GRAPHICS_DISABLED "Disable disable graphics (ScrollView)" OFF)
option(DISABLED_LEGACY_ENGINE "Disable the legacy OCR engine" OFF)
option(ENABLE_LTO "Enable link-time optimization" OFF)
option(FAST_FLOAT "Enable float for LSTM" ON)
option(ENABLE_OPENCL "Enable unsupported experimental OpenCL support" OFF)
option(ENABLE_NATIVE
       "Enable optimization for host CPU (could break HW compatibility)" OFF)
# see
# https://stackoverflow.com/questions/52653025/why-is-march-native-used-so-rarely
option(BUILD_TRAINING_TOOLS "Build training tools" ON)
option(BUILD_TESTS "Build tests" OFF)
option(USE_SYSTEM_ICU "Use system ICU" OFF)
option(DISABLE_TIFF "Disable build with libtiff (if available)" OFF)
option(DISABLE_ARCHIVE "Disable build with libarchive (if available)" OFF)
option(DISABLE_CURL "Disable build with libcurl (if available)" OFF)
option(INSTALL_CONFIGS "Install tesseract configs" ON)

if(NOT ${CMAKE_VERSION} VERSION_LESS "3.15.0")
  if(WIN32 AND MSVC)
    option(WIN32_MT_BUILD "Build with MT flag for MSVC" OFF)
  endif()
endif()

# ##############################################################################
#
# compiler and linker
#
# ##############################################################################

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CLANG 1)
endif()

if(NOT CMAKE_BUILD_TYPE)
  message(STATUS "Setting build type to 'Release' as none was specified.")
  set(CMAKE_BUILD_TYPE
      Release
      CACHE STRING "Choose the type of build." FORCE)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release")
endif()

include(CheckCXXCompilerFlag)

set(CMAKE_CXX_STANDARD 17)
if("cxx_std_20" IN_LIST CMAKE_CXX_COMPILE_FEATURES)
  set(CMAKE_CXX_STANDARD 20)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  # cygwin gnu c++ needs to use -std=gnu++17 instead of -std=c++17
  set(CMAKE_CXX_EXTENSIONS OFF)
endif()

if(BUILD_SHARED_LIBS)
  set(CMAKE_CXX_VISIBILITY_PRESET hidden)
endif()

# LTO
cmake_policy(SET CMP0069 NEW)
include(CheckIPOSupported)
check_ipo_supported(RESULT LTO_SUPPORTED OUTPUT error)
if(LTO_SUPPORTED)
  message(STATUS "IPO / LTO supported")
else()
  message(STATUS "IPO / LTO not supported: <${error}>")
endif()

set(MARCH_NATIVE_OPT OFF)
if(ENABLE_NATIVE)
  check_cxx_compiler_flag("-march=native" COMPILER_SUPPORTS_MARCH_NATIVE)
  if(COMPILER_SUPPORTS_MARCH_NATIVE)
    set(DOTPRODUCT_FLAGS "${DOTPRODUCT_FLAGS} -march=native")
    if(NOT CLANG AND MSVC)
      # clang-cl does not know this argument
      set(DOTPRODUCT_FLAGS "${DOTPRODUCT_FLAGS} -mtune=native")
    endif()
    set(MARCH_NATIVE_OPT ON)
  endif(COMPILER_SUPPORTS_MARCH_NATIVE)
endif(ENABLE_NATIVE)

message(STATUS "CMAKE_SYSTEM_PROCESSOR=<${CMAKE_SYSTEM_PROCESSOR}>")

if(CMAKE_SYSTEM_PROCESSOR MATCHES "x86|x86_64|AMD64|amd64|i386|i686")

  set(HAVE_NEON FALSE)
  if(MSVC)
    set(HAVE_AVX ON)
    set(AVX_COMPILE_FLAGS "/arch:AVX")
    add_definitions("-DHAVE_AVX")

    set(HAVE_AVX2 ON)
    set(AVX2_COMPILE_FLAGS "/arch:AVX2")
    add_definitions("-DHAVE_AVX2")

    set(HAVE_AVX512F ON)
    set(AVX512F_COMPILE_FLAGS "/arch:AVX512")
    add_definitions("-DHAVE_AVX512F")

    set(HAVE_FMA ON)
    set(FMA_COMPILE_FLAGS "-D__FMA__")
    add_definitions("-DHAVE_FMA")

    set(HAVE_SSE4_1 ON)
    set(SSE4_1_COMPILE_FLAGS "-D__SSE4_1__")
    add_definitions("-DHAVE_SSE4_1")

    set(DOTPRODUCT_FLAGS "${DOTPRODUCT_FLAGS} -openmp:experimental")
    add_definitions("-DOPENMP_SIMD")

    # clang with MSVC compatibility
    if(CLANG)
      set(CMAKE_CXX_FLAGS
          "${CMAKE_CXX_FLAGS} -Wno-microsoft-unqualified-friend")
      if(HAVE_FMA)
        set(FMA_COMPILE_FLAGS "-mfma ${FMA_COMPILE_FLAGS}")
      endif(HAVE_FMA)
      if(HAVE_SSE4_1)
        set(SSE4_1_COMPILE_FLAGS "-msse4.1 ${SSE4_1_COMPILE_FLAGS}")
      endif(HAVE_SSE4_1)
    endif(CLANG)
  else() # if not MSVC
    check_cxx_compiler_flag("-mavx" HAVE_AVX)
    if(HAVE_AVX)
      set(AVX_COMPILE_FLAGS "-mavx")
      add_definitions("-DHAVE_AVX")
    endif(HAVE_AVX)

    check_cxx_compiler_flag("-mavx2" HAVE_AVX2)
    if(HAVE_AVX2)
      set(AVX2_COMPILE_FLAGS "-mavx2")
      add_definitions("-DHAVE_AVX2")
    endif()

    check_cxx_compiler_flag("-mavx512f" HAVE_AVX512F)
    if(HAVE_AVX512F)
      set(AVX512F_COMPILE_FLAGS "-mavx512f")
      add_definitions("-DHAVE_AVX512F")
    endif()

    check_cxx_compiler_flag("-mfma" HAVE_FMA)
    if(HAVE_FMA)
      set(FMA_COMPILE_FLAGS "-mfma")
      add_definitions("-DHAVE_FMA")
    endif()

    check_cxx_compiler_flag("-msse4.1" HAVE_SSE4_1)
    if(HAVE_SSE4_1)
      set(SSE4_1_COMPILE_FLAGS "-msse4.1")
      add_definitions("-DHAVE_SSE4_1")
    endif()

    check_cxx_compiler_flag("-fopenmp-simd" OPENMP_SIMD)
    if(OPENMP_SIMD)
      set(DOTPRODUCT_FLAGS "${DOTPRODUCT_FLAGS} -fopenmp-simd")
      add_definitions("-DOPENMP_SIMD")
    endif(OPENMP_SIMD)
  endif(MSVC)

elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "arm64|aarch64.*|AARCH64.*")

  set(HAVE_AVX FALSE)
  set(HAVE_AVX2 FALSE)
  set(HAVE_AVX512F FALSE)
  set(HAVE_FMA FALSE)
  set(HAVE_SSE4_1 FALSE)
  set(HAVE_NEON TRUE)

elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "arm.*")

  set(HAVE_AVX FALSE)
  set(HAVE_AVX2 FALSE)
  set(HAVE_AVX512F FALSE)
  set(HAVE_FMA FALSE)
  set(HAVE_SSE4_1 FALSE)

  check_cxx_compiler_flag("-mfpu=neon" HAVE_NEON)
  if(HAVE_NEON)
    set(NEON_COMPILE_FLAGS "-mfpu=neon")
  endif(HAVE_NEON)

else()

  set(HAVE_AVX FALSE)
  set(HAVE_AVX2 FALSE)
  set(HAVE_AVX512F FALSE)
  set(HAVE_FMA FALSE)
  set(HAVE_NEON FALSE)
  set(HAVE_SSE4_1 FALSE)

endif(CMAKE_SYSTEM_PROCESSOR MATCHES "x86|x86_64|AMD64|amd64|i386|i686")

if(HAVE_NEON)
  message(STATUS "LTO build is not supported on arm/RBPi.")
  set(ENABLE_LTO FALSE)  # enable LTO cause fatal error on arm/RBPi
endif()

# Compiler specific environment
if(CMAKE_COMPILER_IS_GNUCXX OR MINGW)
  set(CMAKE_CXX_FLAGS_DEBUG
      "${CMAKE_CXX_FLAGS_DEBUG} -Wall -DDEBUG -pedantic -Og")
elseif(MSVC)
  add_definitions(-D_CRT_SECURE_NO_WARNINGS)
  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE) # strdup
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /utf-8")
  if(NOT CLANG)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
  endif()
  # Hide some warnings for release target wd4244 'argument': conversion from
  # 'uint64_t' to 'unsigned int', possible loss of data wd4251 needs to have
  # dll-interface wd4267 return': conversion from 'size_t' to 'int', possible
  # loss of data wd4275 non dll-interface class wd4305 ...truncation from
  # 'double' to 'float'
  set(CMAKE_CXX_FLAGS_RELEASE
      "${CMAKE_CXX_FLAGS_RELEASE} /wd4244 /wd4305 /wd4267 /wd4251 /wd4275 /wd4005"
  )
  set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /wd4068")
  # Don't use /Wall because it generates too many warnings.
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W0 /bigobj")
  # MT flag
  if(WIN32_MT_BUILD)
    set(CMAKE_MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
    message(STATUS "Building with static CRT.")
  endif()
endif()
if(CLANG) # clang all platforms
  set(CMAKE_CXX_FLAGS_RELEASE
      "${CMAKE_CXX_FLAGS_RELEASE} -Wno-unused-command-line-argument")
  set(CMAKE_CXX_FLAGS_DEBUG
      "${CMAKE_CXX_FLAGS_DEBUG} -Wall -DDEBUG -pedantic -O0")
endif()

if(OPENMP_BUILD
   AND MSVC
   AND "${MSVC_VERSION}" LESS 1929)
  set(OPENMP_BUILD OFF)
endif()
if(OPENMP_BUILD)
  find_package(OpenMP QUIET)
  # https://stackoverflow.com/questions/12399422
  # how-to-set-linker-flags-for-openmp-in-cmakes-try-compile-function
  if(NOT OpenMP_FOUND
     AND CLANG
     AND WIN32)
    # workaround because find_package(OpenMP) does not work for clang-cl
    # https://gitlab.kitware.com/cmake/cmake/issues/19404
    check_include_file_cxx(omp.h HAVE_OMP_H_INCLUDE)
    find_library(OpenMP_LIBRARY NAMES omp libomp.lib)
    message(">> OpenMP_LIBRARY: ${OpenMP_LIBRARY}")
    if(MSVC)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /openmp")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp")
    endif()
    set(OpenMP_FOUND 1)
    # OpenMP 3.1 is fully supported from Clang 3.8.0
    add_definitions(-D_OPENMP=201107)
  endif()
  if(MSVC)
    # Note: -openmp:llvm is available for X64 from MSVC 16.9 from MSVC 16.10
    # Preview 2 there is support also for x86 and arm64
    # https://devblogs.microsoft.com/cppblog/openmp-updates-and-fixes-for-cpp-in-visual-studio-2019-16-10/
    if("${OpenMP_CXX_FLAGS}" STREQUAL "-openmp")
      set(OpenMP_CXX_FLAGS "-openmp:llvm")
    endif()
  endif()
  if(OpenMP_FOUND)
    message(">> OpenMP_FOUND ${OpenMP_FOUND} version: ${OpenMP_CXX_VERSION}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    if(NOT TARGET OpenMP::OpenMP_CXX)
      add_library(OpenMP::OpenMP_CXX IMPORTED INTERFACE)
    endif()
  endif()
endif()

if(CYGWIN)
  add_definitions(-D__CYGWIN__)
elseif(UNIX)
  if(NOT ANDROID)
    set(LIB_pthread pthread)
  endif()
elseif(WIN32)
  set(LIB_Ws2_32 Ws2_32)
endif()

add_definitions("-DCMAKE_BUILD")

# ##############################################################################
#
# packages
#
# ##############################################################################
include(CheckFunctions)

if(SW_BUILD)
  find_package(SW REQUIRED)
  if(BUILD_SHARED_LIBS)
    set(SW_BUILD_SHARED_LIBS 1)
  else()

=== debian/changelog ===
tesseract (5.3.4-1.4build1) plucky; urgency=medium

  * Rebuild against latest leptonlib

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 06:19:46 -0500

tesseract (5.3.4-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * No changes; just poking MIPS and RISC-V autobuilders.

 -- Jeff Breidenbach <jab@debian.org>  Sun, 06 Oct 2024 13:41:00 -0700

tesseract (5.3.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * (Closes: #1081970), leptonlib transition

 -- Jeff Breidenbach <jab@debian.org>  Sat, 05 Oct 2024 02:55:57 +0000

tesseract (5.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove B-D on libjpeg-dev, libtiff-dev and git, removed in 5.3.0-2 but
    reintroduced in 5.3.3-1 (Closes: #980991).

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 20 Mar 2024 11:45:47 +0500

tesseract (5.3.4-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright:
    -  Updated year
  * Update upstream/metadata:
    -  Unknown field deleted - Homepage

 -- Alexander Pozdnyakov <almipo@mail.ru>  Thu, 18 Jan 2024 20:00:18 +0000

=== debian/control ===
Source: tesseract
Section: graphics
Priority: optional
Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper-compat (= 12), libleptonica-dev (>= 1.75.3),
               automake, libtool, libarchive-dev, libpango1.0-dev, libcairo2-dev, libicu-dev,
               libpng-dev, zlib1g-dev, asciidoc,
               xsltproc, docbook-xsl, docbook-xml, tesseract-ocr-eng (>= 5.0.0~), autoconf-archive, libcurl4-openssl-dev
Standards-Version: 4.5.1
Homepage: https://github.com/tesseract-ocr/
Rules-Requires-Root: no

Package: tesseract-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 tesseract-ocr-eng (>= 4.0.9~), tesseract-ocr-osd (>= 4.0.9~), libtesseract5 (= ${binary:Version}), libleptonica6 (>= 1.75.3)
Replaces: tesseract-ocr-data
Description: Tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the command line tool.

Package: libtesseract-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtesseract5 (= ${binary:Version}), ${misc:Depends}, libleptonica-dev, libarchive-dev, libcurl4-dev | libcurl4-gnutls-dev
Replaces: tesseract-ocr-dev (<< 3.0.1-1~)
Breaks: tesseract-ocr-dev (<< 3.0.1-1~)
Description: Development files for the tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the development files, static
 library, and header files.

Package: libtesseract5
Section: libs
Multi-Arch: same
Breaks: tesseract-ocr (<< 3.01~), ocropus (<< 0.4.0~)
Replaces: tesseract-ocr (<< 3.01~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libleptonica6 (>= 1.75.3)
Description: Tesseract OCR library
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the shared library.

Package: tesseract-ocr-all
Architecture: all
Depends: ${misc:Depends}, tesseract-ocr,
        tesseract-ocr-bul, tesseract-ocr-cat, tesseract-ocr-ces, tesseract-ocr-dan,
        tesseract-ocr-deu, tesseract-ocr-ell, tesseract-ocr-eng, tesseract-ocr-fin,
        tesseract-ocr-fra, tesseract-ocr-hun, tesseract-ocr-ind, tesseract-ocr-ita,
        tesseract-ocr-lav, tesseract-ocr-lit, tesseract-ocr-nld, tesseract-ocr-nor,
        tesseract-ocr-pol, tesseract-ocr-por, tesseract-ocr-ron, tesseract-ocr-rus,
        tesseract-ocr-slk, tesseract-ocr-slv, tesseract-ocr-spa, tesseract-ocr-srp,
        tesseract-ocr-swe, tesseract-ocr-tur, tesseract-ocr-ukr, tesseract-ocr-vie,
        tesseract-ocr-chi-sim, tesseract-ocr-chi-tra, tesseract-ocr-amh, tesseract-ocr-asm,
        tesseract-ocr-aze-cyrl, tesseract-ocr-bod, tesseract-ocr-bos, tesseract-ocr-ceb,
        tesseract-ocr-cym, tesseract-ocr-dzo, tesseract-ocr-fas, tesseract-ocr-gle,
        tesseract-ocr-guj, tesseract-ocr-hat, tesseract-ocr-iku, tesseract-ocr-jav,
        tesseract-ocr-kat, tesseract-ocr-kat-old, tesseract-ocr-kaz, tesseract-ocr-khm,
        tesseract-ocr-kir, tesseract-ocr-lao, tesseract-ocr-lat, tesseract-ocr-mar,
        tesseract-ocr-mya, tesseract-ocr-nep, tesseract-ocr-ori, tesseract-ocr-pan,
        tesseract-ocr-pus, tesseract-ocr-san, tesseract-ocr-sin, tesseract-ocr-srp-latn,
        tesseract-ocr-syr, tesseract-ocr-tgk, tesseract-ocr-tir, tesseract-ocr-uig,
        tesseract-ocr-urd, tesseract-ocr-uzb, tesseract-ocr-uzb-cyrl, tesseract-ocr-yid,
        tesseract-ocr-osd, tesseract-ocr-afr, tesseract-ocr-ara, tesseract-ocr-aze,
        tesseract-ocr-bel, tesseract-ocr-ben, tesseract-ocr-chr, tesseract-ocr-enm,
        tesseract-ocr-epo, tesseract-ocr-est, tesseract-ocr-eus, tesseract-ocr-frk,
        tesseract-ocr-frm, tesseract-ocr-glg, tesseract-ocr-heb, tesseract-ocr-hin,
        tesseract-ocr-hrv, tesseract-ocr-isl, tesseract-ocr-ita-old, tesseract-ocr-jpn,
        tesseract-ocr-kan, tesseract-ocr-kor, tesseract-ocr-mal, tesseract-ocr-mkd,
        tesseract-ocr-mlt, tesseract-ocr-msa, tesseract-ocr-spa-old, tesseract-ocr-sqi,
        tesseract-ocr-swa, tesseract-ocr-tam, tesseract-ocr-tel, tesseract-ocr-tha,
        tesseract-ocr-bre, tesseract-ocr-chi-sim-vert, tesseract-ocr-chi-tra-vert,
        tesseract-ocr-cos, tesseract-ocr-div, tesseract-ocr-fao, tesseract-ocr-fil,
        tesseract-ocr-fry, tesseract-ocr-gla, tesseract-ocr-hye, tesseract-ocr-jpn-vert,
        tesseract-ocr-kor-vert, tesseract-ocr-kmr, tesseract-ocr-ltz, tesseract-ocr-mon,
        tesseract-ocr-mri, tesseract-ocr-oci, tesseract-ocr-que, tesseract-ocr-snd,
        tesseract-ocr-sun, tesseract-ocr-tat, tesseract-ocr-ton, tesseract-ocr-yor,
        tesseract-ocr-script-arab, tesseract-ocr-script-armn, tesseract-ocr-script-beng,
        tesseract-ocr-script-cans, tesseract-ocr-script-cher, tesseract-ocr-script-cyrl,
        tesseract-ocr-script-deva, tesseract-ocr-script-ethi, tesseract-ocr-script-frak,
        tesseract-ocr-script-geor, tesseract-ocr-script-grek, tesseract-ocr-script-gujr,
        tesseract-ocr-script-guru, tesseract-ocr-script-hans, tesseract-ocr-script-hans-vert,
        tesseract-ocr-script-hant, tesseract-ocr-script-hant-vert, tesseract-ocr-script-hang,
        tesseract-ocr-script-hang-vert, tesseract-ocr-script-hebr, tesseract-ocr-script-jpan,
        tesseract-ocr-script-jpan-vert, tesseract-ocr-script-knda, tesseract-ocr-script-khmr,
        tesseract-ocr-script-laoo, tesseract-ocr-script-latn, tesseract-ocr-script-mlym,
        tesseract-ocr-script-mymr, tesseract-ocr-script-orya, tesseract-ocr-script-sinh,
        tesseract-ocr-script-syrc, tesseract-ocr-script-taml, tesseract-ocr-script-telu,
        tesseract-ocr-script-thaa, tesseract-ocr-script-thai, tesseract-ocr-script-tibt,
        tesseract-ocr-script-viet, tesseract-ocr-grc
Description: Tesseract OCR with all language and script packages
 This is a metapackage for Tesseract OCR and includes all supported
 languages and scripts.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS += -Wall -g -fPIC -DTESSDATA_PREFIX='\"/usr/share/tesseract-ocr/5\"'

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(NUMJOBS))
	NUMJOBS = 1
endif

%:
	dh $@ --with autoreconf

override_dh_auto_build:
	make -j$(NUMJOBS)
	make -j$(NUMJOBS) training

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr install
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp prefix=/usr training-install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./tesseract -v
	./tesseract ./test/testing/phototest.tif -
endif

override_dh_auto_clean:
	dh_auto_clean
	dh_clean java/com/Makefile java/com/google/Makefile java/com/google/scrollview/Makefile java/com/google/scrollview/events/Makefile java/com/google/scrollview/ui/Makefile
	test ! -f configure.ac.orig || mv configure.ac.orig configure.ac

override_dh_auto_configure:
ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
	cp configure.ac configure.ac.orig
	patch -p1 < debian/patches/disable_NEON.diff
else
	echo "no patch"
endif
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-tessdata-prefix --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CXXFLAGS="$(CFLAGS)" LDFLAGS="-lleptonica -Wl,-z,defs $(LDFLAGS)"

## tesseract 5.5.0

=== debian/changelog ===
tesseract (5.5.0-1) unstable; urgency=medium

  * New upstream release
  * Update patch and rename - helptext
  * Update patch and rename - disable_NEON
  * Update debian/copyright:
    - Updated year
    - Added licenses for nsis/find_deps.py
    - Added licenses for test/*
  * Bump debhelper version to 13:
    - Added debian/not-installed
  * Bump Standards-Version to 4.7.0
  * Update debian/rules:
    - update - override_dh_auto_clean
  * Update debian/control:
    - Replacing the libcurl4-dev virtual
      package with libcurl4-openssl-dev
  * Fix build vs host confusion (Closes: #1088908).

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jan 2025 13:53:37 +0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
-Build-Depends: debhelper-compat (= 12), libleptonica-dev (>= 1.75.3),
+Build-Depends: debhelper-compat (= 13), libleptonica-dev (>= 1.75.3),
                automake, libtool, libarchive-dev, libpango1.0-dev, libcairo2-dev, libicu-dev,
                libpng-dev, zlib1g-dev, asciidoc,
                xsltproc, docbook-xsl, docbook-xml, tesseract-ocr-eng (>= 5.0.0~), autoconf-archive, libcurl4-openssl-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/tesseract-ocr/
 Rules-Requires-Root: no
 
@@ -25,7 +25,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtesseract5 (= ${binary:Version}), ${misc:Depends}, libleptonica-dev, libarchive-dev, libcurl4-dev | libcurl4-gnutls-dev
+Depends: libtesseract5 (= ${binary:Version}), ${misc:Depends}, libleptonica-dev, libarchive-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev
 Replaces: tesseract-ocr-dev (<< 3.0.1-1~)
 Breaks: tesseract-ocr-dev (<< 3.0.1-1~)
 Description: Development files for the tesseract command line OCR tool

=== debian/rules ===
--- 
+++ 
@@ -34,13 +34,21 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	dh_clean java/com/Makefile java/com/google/Makefile java/com/google/scrollview/Makefile java/com/google/scrollview/events/Makefile java/com/google/scrollview/ui/Makefile
+	dh_clean java/com/Makefile \
+		java/com/google/Makefile \
+		java/com/google/scrollview/Makefile \
+		java/com/google/scrollview/events/Makefile \
+		java/com/google/scrollview/ui/Makefile \
+		java/Makefile \
+		nsis/Makefile \
+		doc/*.1 \
+		doc/*.5
 	test ! -f configure.ac.orig || mv configure.ac.orig configure.ac
 
 override_dh_auto_configure:
-ifeq ($(DEB_BUILD_GNU_TYPE),arm-linux-gnueabi)
+ifeq ($(DEB_HOST_GNU_TYPE),arm-linux-gnueabi)
 	cp configure.ac configure.ac.orig
-	patch -p1 < debian/patches/disable_NEON.diff
+	patch -p1 < debian/patches/0002_disable_NEON.diff
 else
 	echo "no patch"
 endif
